ArrayFile.Writer (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class ArrayFile.Writer

    java.lang.Object
      org.apache.hadoop.io.MapFile.Writer
          org.apache.hadoop.io.ArrayFile.Writer

All Implemented Interfaces:
  Closeable

Enclosing class:
  ArrayFile

    public static class ArrayFile.Writer

extends MapFile.Writer

Write a new array file.

Constructor Summary
`ArrayFile.Writer(Configuration conf, FileSystem fs, String file, Class<? extends Writable> valClass)` Create the named file for values of the named class.
`ArrayFile.Writer(Configuration conf, FileSystem fs, String file, Class<? extends Writable> valClass, SequenceFile.CompressionType compress, Progressable progress)` Create the named file for values of the named class.

Method Summary
`void` | `append(Writable value)` Append a value to the file.

Methods inherited from class org.apache.hadoop.io.MapFile.Writer
`append, close, getIndexInterval, setIndexInterval, setIndexInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayFile.Writer

    public ArrayFile.Writer(Configuration conf,
                            FileSystem fs,
                            String file,
                            Class<? extends Writable> valClass)
                     throws IOException

  Create the named file for values of the named class.

  Throws:
    `IOException`

### ArrayFile.Writer

    public ArrayFile.Writer(Configuration conf,
                            FileSystem fs,
                            String file,
                            Class<? extends Writable> valClass,
                            SequenceFile.CompressionType compress,
                            Progressable progress)
                     throws IOException

  Create the named file for values of the named class.

  Throws:
    `IOException`

Method Detail

### append

    public void append(Writable value)
                throws IOException

  Append a value to the file.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation